Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
tesseract::ShapeClassifier Class Reference

`#include <shapeclassifier.h>`

Inheritance diagram for tesseract::ShapeClassifier:

List of all members.

## Public Member Functions

virtual | ~ShapeClassifier ()
virtual int | ClassifySample (const TrainingSample &sample, Pix *page_pix, int debug, int keep_this, GenericVector< ShapeRating > *results)=0
virtual const ShapeTable * | GetShapeTable () const =0

## Detailed Description

Definition at line 66 of file shapeclassifier.h.

## Constructor & Destructor Documentation

virtual tesseract::ShapeClassifier::~ShapeClassifier | ( |  | ) |

inlinevirtual

Definition at line 68 of file shapeclassifier.h.

{}

## Member Function Documentation

virtual int tesseract::ShapeClassifier::ClassifySample | ( | const TrainingSample & | sample,
|  | Pix * | page_pix,
|  | int | debug,
|  | int | keep_this,
|  | GenericVector< ShapeRating > * | results
| ) |  |

pure virtual

Implemented in tesseract::CubeTessClassifier, tesseract::CubeClassifier, and tesseract::TessClassifier.

virtual const ShapeTable* tesseract::ShapeClassifier::GetShapeTable | ( |  | ) | const

pure virtual

Implemented in tesseract::CubeTessClassifier, tesseract::CubeClassifier, and tesseract::TessClassifier.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/shapeclassifier.h